### Method

# Gio ThemedIcon prepend_name

since: 2.18

#### Declaration [src]

    void
    g_themed_icon_prepend_name (
      GThemedIcon* icon,
      const char* iconname
    )

#### Description [src]

Prepend a name to the list of icons from within `icon`.

Note that doing so invalidates the hash computed by prior calls to g_icon_hash().

Available since: 2.18

#### Parameters

`iconname`

  Type: `const char*`

  Name of icon to prepend to list of icons from within `icon`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.